Community

Forums » SEPHP Help and Tips

Emoticons in Upgrade working, but unable to add new ones...

    • 84 posts
    November 27, 2019 5:13 PM EST

    The ladies on my site are happy with the new emoticons! I am particularly happy with the fact that we can delete emoticons such as the martini glass, wine glass and beer mug. THANK YOU SOCIAL ENGINE!

     

    I'm trying to add some Emoticons that would be custom for our community lingo. I'm getting an error message though and it won't allow me to do this. I checked the error log and it is showing up as this:

     

    2019-11-21T23:56:24+00:00 CRIT (2):
    Error Code: 51f26c
    Engine_Image_Exception: No available adapter for image operations in /home/wfsonline/dev.wfsonline.org/application/libraries/Engine/Image.php:52
    Stack trace:
    #0 /home/wfsonline/dev.wfsonline.org/application/modules/Album/Model/Photo.php(148): Engine_Image::factory()
    #1 /home/wfsonline/dev.wfsonline.org/application/modules/Album/controllers/AlbumController.php(492): Album_Model_Photo->setPhoto(Array)
    #2 /home/wfsonline/dev.wfsonline.org/application/libraries/Zend/Controller/Action.php(516): Album_AlbumController->composeUploadAction()
    #3 /home/wfsonline/dev.wfsonline.org/application/libraries/Zend/Controller/Dispatcher/Standard.php(308): Zend_Controller_Action->dispatch('composeUploadAc...')
    #4 /home/wfsonline/dev.wfsonline.org/application/libraries/Zend/Controller/Front.php(954): Zend_Controller_Dispatcher_Standard->dispatch(Object(Zend_Controller_Request_Http), Object(Zend_Controller_Response_Http))
    #5 /home/wfsonline/dev.wfsonline.org/application/modules/Core/Bootstrap.php(84): Zend_Controller_Front->dispatch()
    #6 /home/wfsonline/dev.wfsonline.org/application/libraries/Engine/Application.php(160): Core_Bootstrap->run()
    #7 /home/wfsonline/dev.wfsonline.org/application/index.php(223): Engine_Application->run()
    #8 /home/wfsonline/dev.wfsonline.org/boot.php(47): include('/home/wfsonline...')
    #9 /home/wfsonline/dev.wfsonline.org/index.php(24): Engine_Boot->boot()
    #10 {main}
    2019-11-23T10:58:20+00:00 CRIT (2):

     

    Any thoughts?

    • Moderator
    • 3861 posts
    November 28, 2019 5:11 AM EST

    Hmmm. What type of file? Does your hosting keep up with our requirements? They should have Imagick and GD installed. https://www.socialengine.com/support/article/81788966/se-php-socialengine-requirements also check permissions https://www.socialengine.com/support/article/5112151/se-php-optimized-file-and-folder-permissions

  • November 28, 2019 7:02 AM EST

    Hello nancers,

        If you want our support team to look into this issue, then please contact our team at support@socialnetworking.solutions . We will be glad to assist you at our best.

     

    Regards

    Team SNS

    • 84 posts
    November 29, 2019 10:32 AM EST

    THanks for your suggestions, Donna. I will check with our hosting folks as our first step. 

    • 84 posts
    November 29, 2019 12:15 PM EST

    Update from our hosting folks: 

    We have enabled both ImageMagick and GD for your currently used PHP Versions

    I saved one of the existing emoticons and duplicated as many of the settings as I could to create my own.  (its a png image, 48 x 48)

    When I upload it, the error message is gone - smile

    But it looks like this: 

    When I go to chat, the emoticon doesn't work. In fact none of them work and we are back to the old emoticons. frown

    (Devil (6) and Angel (A) no longer work)

     

    I am convinced the emoticons are cursed for my site, lol!

     

    • Moderator
    • 3861 posts
    November 29, 2019 12:35 PM EST

    Hmmm. What did they do when they updated the server? Did they make sure they didn't change permissions to something that doesn't work? Did they make sure to only go up to PHP 7.2 as we mention in our requirements that 7.3 won't work? Just trying to help. Here's the permission tut just in case:

    https://www.socialengine.com/support/article/5112151/se-php-optimized-file-and-folder-permissions

    Is there perhaps a customization that is getting in the way of the upgraded emoticons? 

    Could the host have somehow put back the old version of SEPHP and maybe you aren't fully on 4.10.5?